Name:      liborigin
Version:   20080225
Release:   9%{?dist}
Summary:   Library for reading OriginLab OPJ project files

License:   GPLv2
Group:     Development/Libraries
URL:       http://sourceforge.net/projects/%{name}/

Source:    http://belnet.dl.sourceforge.net/sourceforge/liborigin/%{name}-%{version}.tar.gz
# Include <cstddef> into tree.hh
Patch0:    %{name}-%{version}-gcc.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake
Requires(post):    /sbin/ldconfig
Requires(postun):  /sbin/ldconfig

%description
A library for reading OriginLab OPJ project files.

%package devel
Summary:  Header files, libraries and development documentation for %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q
%patch0 -p1

%build

# fix for hardcoded path of %{_libdir}
%ifarch x86_64 sparc64 ppc64 amd64 s390x
%{__sed} -i "s|install(TARGETS origin DESTINATION lib)|install(TARGETS origin DESTINATION lib64)|" CMakeLists.txt
%endif

%cmake

%{__make} VERBOSE=1 %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="install -p" DESTDIR=%{buildroot} install

install -d  %{buildroot}%{_includedir}/%{name}/
install -pm 644 OPJFile.h tree.hh %{buildroot}%{_includedir}/%{name}/

#W: spurious-executable-perm 
chmod 0644 ws4.opj

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README ws4.opj import.qs
%{_bindir}/opj2dat
%{_libdir}/%{name}.so.0*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
%{_libdir}/%{name}.so

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 04 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 20080225-6
- Add liborigin-20080225-gcc.patch (Fix FTBFS BZ#716189).

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 21 2009 Dan Horak <dan[at]danny.cz> - 20080225-3
- add s390x as 64-bit arch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jun 10 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20080225-1
- New upstream release 20080225

* Sat Apr 26 2008 Thibault North <tnorth [AT] fedoraproject DOT org> - 20070119-3
- now uses again version 20070119
- patch for successful rebuild with gcc4.3

* Mon Apr 21 2008 Thibault North <tnorth [AT] fedoraproject DOT org> - 20070115-2
- rebuild for F9 with optimized gcc4.3 extensions

* Fri Jan 18 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20071119-1
- New upstream release
- fix for hardcoded path of %%{_libdir}
- opted cmake during the build process

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070115-4
- queued for mass rebuild for Fedora 8 - BuildID

* Tue Jan 30 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070115-3
- Fix directory ownership for -devel package

* Sat Jan 27 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070115-2
- Added fix for hardcoded path of %%{_libdir}
- Added $$RPM_OPT_FLAGS to Makefile.LINUX

* Sat Jan 20 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070115-1
- Initial package
